Bug 803335 - (CVE-2012-1177) CVE-2012-1177 libgdata: Absent validation of SSL certificates
CVE-2012-1177 libgdata: Absent validation of SSL certificates
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120312,repor...
: Security
Depends On: 803337
Blocks: 803343
  Show dependency treegraph
 
Reported: 2012-03-14 09:32 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-14 09:32:31 EDT
It was found that previously libgdata, a GLib-based library for accessing online service APIs using the GData protocol, did not perform SSL certificates validation even for secured connections. An application, linked against the libgdata library and holding the trust about the other side of the connection being the valid owner of the certificate, could be tricked into accepting of a spoofed SSL certificate by mistake (MITM attack).

Upstream bug report:
[1] https://bugzilla.gnome.org/show_bug.cgi?id=671535 (private)

Upstream patches:
[2] http://git.gnome.org/browse/libgdata/commit/?id=6799f2c525a584dc998821a6ce897e463dad7840
[3] http://git.gnome.org/browse/libgdata/commit/?h=libgdata-0-10&id=8eff8fa9138859e03e58c2aa76600ab63eb5c29c

CVE request:
[4] http://www.openwall.com/lists/oss-security/2012/03/14/1

Other references:
[5] https://bugzilla.novell.com/show_bug.cgi?id=752088 (private)
[6] https://bugs.launchpad.net/ubuntu/+source/libgdata/+bug/938812

Credit: Issue originally reported by Vreixo Formoso.
Comment 1 Jan Lieskovsky 2012-03-14 09:35:11 EDT
This issue affects the version of the libgdata package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the libgdata package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-03-14 09:36:02 EDT
Created libgdata tracking bugs for this issue

Affects: fedora-all [bug 803337]
Comment 4 Vincent Danen 2012-03-14 14:15:16 EDT
This was assigned the name CVE-2012-1177:

http://www.openwall.com/lists/oss-security/2012/03/14/8
Comment 5 Stefan Cornelius 2012-03-28 04:49:21 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.